## org.jfree.data.statistics
Class HistogramType

    java.lang.Object
      org.jfree.data.statistics.HistogramType

All Implemented Interfaces:
  java.io.Serializable

    public class HistogramType

extends java.lang.Object
implements java.io.Serializable

A class for creating constants to represent the histogram type. See Bloch's enum tip in 'Effective Java'.

See Also:
  Serialized Form

Field Summary
`static HistogramType` `FREQUENCY` Frequency histogram.
`static HistogramType` `RELATIVE_FREQUENCY` Relative frequency.
`static HistogramType` `SCALE_AREA_TO_1` Scale area to one.

Method Summary
`boolean` `equals(java.lang.Object obj)` Tests this type for equality with an arbitrary object.
`int` `hashCode()` Returns a hash code value for the object.
`java.lang.String` `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FREQUENCY

    public static final HistogramType FREQUENCY

  Frequency histogram.

### RELATIVE_FREQUENCY

    public static final HistogramType RELATIVE_FREQUENCY

  Relative frequency.

### SCALE_AREA_TO_1

    public static final HistogramType SCALE_AREA_TO_1

  Scale area to one.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this type for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to test against.
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hashcode